Package com.sun.messaging.jms.management.server

## Class ClusterOperations

- java.lang.Object
- - com.sun.messaging.jms.management.server.ClusterOperations

-     public class ClusterOperations
      extends java.lang.Object

  Class containing information on cluster operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CHANGE_MASTER_BROKER` | Get info on specified broker (via address) in cluster.
    `static java.lang.String` | `GET_BROKER_ADDRESSES` | Get addresses for all brokers in cluster.
    `static java.lang.String` | `GET_BROKER_IDS` | Get IDs for all brokers in cluster.
    `static java.lang.String` | `GET_BROKER_INFO` | Get info on all brokers in cluster.
    `static java.lang.String` | `GET_BROKER_INFO_BY_ADDRESS` | Get info on specified broker (via address) in cluster.
    `static java.lang.String` | `GET_BROKER_INFO_BY_ID` | Get info on specified broker (via ID) in cluster.
    `static java.lang.String` | `RELOAD` | Cluster reload operation.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GET_BROKER_ADDRESSES

          public static final java.lang.String GET_BROKER_ADDRESSES

      Get addresses for all brokers in cluster.
      See Also:
        Constant Field Values

    - #### GET_BROKER_IDS

          public static final java.lang.String GET_BROKER_IDS

      Get IDs for all brokers in cluster.
      See Also:
        Constant Field Values

    - #### GET_BROKER_INFO

          public static final java.lang.String GET_BROKER_INFO

      Get info on all brokers in cluster.
      See Also:
        Constant Field Values

    - #### GET_BROKER_INFO_BY_ADDRESS

          public static final java.lang.String GET_BROKER_INFO_BY_ADDRESS

      Get info on specified broker (via address) in cluster.
      See Also:
        Constant Field Values

    - #### GET_BROKER_INFO_BY_ID

          public static final java.lang.String GET_BROKER_INFO_BY_ID

      Get info on specified broker (via ID) in cluster.
      See Also:
        Constant Field Values

    - #### RELOAD

          public static final java.lang.String RELOAD

      Cluster reload operation.
      See Also:
        Constant Field Values

    - #### CHANGE_MASTER_BROKER

          public static final java.lang.String CHANGE_MASTER_BROKER

      Get info on specified broker (via address) in cluster.
      See Also:
        Constant Field Values